Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5116)
@@ -207,5 +207,5 @@
   ! @         do 190 i=1,len
   ! @          if((hm(i,k).lt.work(i)).and.
-  ! @      &      (hm(i,k).lt.hm(i,k-1)))then
+  ! @      &      (hm(i,k).lt.hm(i,k-1)))THEN
   ! @            work(i)=hm(i,k)
   ! @            ihmin(i)=k
@@ -215,5 +215,5 @@
   ! @       do 210 i=1,len
   ! @         ihmin(i)=min(ihmin(i),nlm)
-  ! @         if(ihmin(i).le.minorig)then
+  ! @         IF(ihmin(i).le.minorig)THEN
   ! @           iflag(i)=6
   ! @         endif
@@ -231,5 +231,5 @@
   ! @       do 240 k=minorig+1,nl
   ! @         do 230 i=1,len
-  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))then
+  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))THEN
   ! @            work(i)=hm(i,k)
   ! @            nk(i)=k
@@ -468,5 +468,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112 * exp(17.67 * tc / denom)
     ! ori          else
@@ -489,5 +489,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112 * exp(17.67 * tc / denom)
     ! ori          else
@@ -565,5 +565,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112 * exp(17.67 * tc / denom)
     ! ori          else
@@ -586,5 +586,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112 * exp(17.67 * tc / denom)
     ! ori          else
@@ -683,5 +683,5 @@
   ! oct3       ath  = th(i,icb(i)-1) - dttrig
   ! oct3
-  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) then
+  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
   ! oct3         do 60 k=1,nl
   ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -691,5 +691,5 @@
   ! oct3         iflag(i)=4 ! pour version vectorisee
   ! oct3c convect3         iflag(i)=0
-  ! oct3cccc         return
+  ! oct3cccc         RETURN
   ! oct3       endif
   ! oct3
@@ -794,5 +794,5 @@
   ! nn=0
   ! do 101 i=1,len
-  ! if(iflag1(i).eq.0)then
+  ! IF(iflag1(i).eq.0)THEN
   ! nn=nn+1
   ! tra(nn,k,j)=tra1(i,k,j)
@@ -848,5 +848,5 @@
   ! - vertical profile of buoyancy computed here (use of buoybase)
   ! - the determination of inb is different
-  ! - no inb1, only inb in output
+  ! - no inb1, ONLY inb in output
   ! ---------------------------------------------------------------------
 
@@ -908,5 +908,5 @@
   DO k = minorig + 1, nl
     DO i = 1, ncum
-      ! ori	    if(k.ge.(icb(i)+1))then
+      ! ori	    IF(k.ge.(icb(i)+1))THEN
       IF (k>=(icbs(i) + 1)) THEN ! convect3
         tg = t(i, k)
@@ -929,5 +929,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0) ! convect3
-        ! ori	       if(tc.ge.0.0)then
+        ! ori	       IF(tc.ge.0.0)THEN
         es = 6.112 * exp(17.67 * tc / denom)
         ! ori	       else
@@ -948,5 +948,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0) ! convect3
-        ! ori	       if(tc.ge.0.0)then
+        ! ori	       IF(tc.ge.0.0)THEN
         es = 6.112 * exp(17.67 * tc / denom)
         ! ori	       else
@@ -992,7 +992,7 @@
       ep(i, k) = amin1(ep(i, k), epmax)
       sigp(i, k) = spfac
-      ! ori          if(k.ge.(nk(i)+1))then
+      ! ori          IF(k.ge.(nk(i)+1))THEN
       ! ori            tca=tp(i,k)-t0
-      ! ori            if(tca.ge.0.0)then
+      ! ori            IF(tca.ge.0.0)THEN
       ! ori              elacrit=elcrit
       ! ori            else
@@ -1018,5 +1018,5 @@
   ! ori      do 340 k=minorig+1,nl
   ! ori        do 330 i=1,ncum
-  ! ori        if(k.ge.(icb(i)+1))then
+  ! ori        IF(k.ge.(icb(i)+1))THEN
   ! ori          tvp(i,k)=tvp(i,k)*(1.0-qnk(i)+ep(i,k)*clw(i,k))
   ! oric         PRINT*,'i,k,tvp(i,k),qnk(i),ep(i,k),clw(i,k)'
@@ -1095,10 +1095,10 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -1122,9 +1122,9 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -1152,11 +1152,11 @@
   ! ori      do 530 k=minorig+1,nl-1
   ! ori        do 520 i=1,ncum
-  ! ori          if(cape(i).lt.0.0)lcape(i)=.FALSE.
-  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))then
+  ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
+  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
   ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! ori            cape(i)=cape(i)+by
-  ! ori            if(by.ge.0.0)inb1(i)=k+1
-  ! ori            if(cape(i).gt.0.0)then
+  ! ori            IF(by.ge.0.0)inb1(i)=k+1
+  ! ori            IF(cape(i).gt.0.0)THEN
   ! ori              inb(i)=k+1
   ! ori              capem(i)=cape(i)
@@ -1277,5 +1277,5 @@
   END DO
 
-  !      if(inb.lt.(nl-1))then
+  !      IF(inb.lt.(nl-1))THEN
   !         do 85 i=inb+1,nl-1
   !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
@@ -1551,6 +1551,6 @@
     ! do j=minorig,nl
     ! do il=1,ncum
-    ! if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+    ! IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
     ! traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
     ! :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -1571,5 +1571,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il, i)==0)) THEN
-        ! @      if(nent(il,i).eq.0)then
+        ! @      IF(nent(il,i).eq.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = rr(il, nk(il)) - ep(il, i) * clw(il, i)
@@ -1586,5 +1586,5 @@
   ! do i=minorig+1,nl
   ! do il=1,ncum
-  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) then
+  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
   ! traent(il,i,i,j)=tra(il,nk(il),j)
   ! endif
@@ -1760,5 +1760,5 @@
     ! do il=1,ncum
     ! if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-    ! :     .and. csum(il,i).lt.m(il,i) ) then
+    ! :     .and. csum(il,i).lt.m(il,i) ) THEN
     ! traent(il,i,i,j)=tra(il,nk(il),j)
     ! endif
@@ -1987,5 +1987,5 @@
         ! jyg1
         ! cc        sigt=1.0
-        ! cc        if(i.ge.icb)sigt=sigp(i)
+        ! cc        IF(i.ge.icb)sigt=sigp(i)
         ! prise en compte de la variation progressive de sigt dans
         ! les couches icb et icb-1:
@@ -2365,5 +2365,5 @@
   ! do j=1,ntra
   ! do il=1,ncum
-  ! if (cvflag_grav) then
+  ! if (cvflag_grav) THEN
   ! ftra(il,1,j)=ftra(il,1,j)+0.01*grav*work(il)
   ! :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
@@ -2402,7 +2402,6 @@
   ! do j=2,nl
   ! do il=1,ncum
-  ! if (j.le.inb(il)) then
-
-  ! if (cvflag_grav) then
+  ! if (j.le.inb(il)) THEN
+  ! if (cvflag_grav) THEN
   ! ftra(il,1,k)=ftra(il,1,k)+0.01*grav*work(il)*ment(il,j,1)
   ! :                *(traent(il,j,1,k)-tra(il,1,k))
@@ -2521,8 +2520,8 @@
     ! do k=1,ntra
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
     ! :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
@@ -2572,8 +2571,8 @@
     ! do k=1,i-1
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
     ! :        *(traent(il,k,i,j)-tra(il,i,j))
@@ -2615,8 +2614,8 @@
     ! do k=i,nl+1
     ! do il=1,ncum
-    ! if (i.le.inb(il) .and. k.le.inb(il)) then
+    ! if (i.le.inb(il) .and. k.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
     ! :         *(traent(il,k,i,j)-tra(il,i,j))
@@ -2687,9 +2686,9 @@
     ! do j=1,ntra
     ! do il=1,ncum
-    ! if (i.le.inb(il)) then
+    ! if (i.le.inb(il)) THEN
     ! dpinv=1.0/(ph(il,i)-ph(il,i+1))
     ! cpinv=1.0/cpn(il,i)
 
-    ! if (cvflag_grav) then
+    ! if (cvflag_grav) THEN
     ! ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
     ! :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
@@ -2846,5 +2845,5 @@
       DO il = 1, ncum
         ! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il))
-        ! then
+        ! THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + m(il, k) + up1(il, k, i)
@@ -3278,5 +3277,5 @@
   ! on recalcule ep et hp
 
-  if (coef_epmax_cape>1e-12) then
+  if (coef_epmax_cape>1e-12) THEN
     do i = 1, ncum
       epmax_diag(i) = epmax - coef_epmax_cape * sqrt(cape(i))
@@ -3301,32 +3300,31 @@
     do k = minorig + 1, nl
       do i = 1, ncum
-        if((k>=icb(i)).and.(k<=inb(i)))then
+        if((k>=icb(i)).and.(k<=inb(i)))THEN
           hp(i, k) = h(i, nk(i)) + (lv(i, k) + (cpd - cpv) * t(i, k)) * ep(i, k) * clw(i, k)
         endif
       enddo
     enddo !do k=minorig+1,n
-    !     write(*,*) 'cv30_routines 6218: hp(1,20)=',hp(1,20)
+    !     WRITE(*,*) 'cv30_routines 6218: hp(1,20)=',hp(1,20)
     do i = 1, ncum
       do k = 1, nl
-        if (abs(hp_bak(i, k) - hp(i, k))>0.01) then
-          write(*, *) 'i,k=', i, k
-          write(*, *) 'coef_epmax_cape=', coef_epmax_cape
-          write(*, *) 'epmax_diag(i)=', epmax_diag(i)
-          write(*, *) 'ep(i,k)=', ep(i, k)
-          write(*, *) 'hp(i,k)=', hp(i, k)
-          write(*, *) 'hp_bak(i,k)=', hp_bak(i, k)
-          write(*, *) 'h(i,k)=', h(i, k)
-          write(*, *) 'nk(i)=', nk(i)
-          write(*, *) 'h(i,nk(i))=', h(i, nk(i))
-          write(*, *) 'lv(i,k)=', lv(i, k)
-          write(*, *) 't(i,k)=', t(i, k)
-          write(*, *) 'clw(i,k)=', clw(i, k)
-          write(*, *) 'cpd,cpv=', cpd, cpv
+        if (abs(hp_bak(i, k) - hp(i, k))>0.01) THEN
+          WRITE(*, *) 'i,k=', i, k
+          WRITE(*, *) 'coef_epmax_cape=', coef_epmax_cape
+          WRITE(*, *) 'epmax_diag(i)=', epmax_diag(i)
+          WRITE(*, *) 'ep(i,k)=', ep(i, k)
+          WRITE(*, *) 'hp(i,k)=', hp(i, k)
+          WRITE(*, *) 'hp_bak(i,k)=', hp_bak(i, k)
+          WRITE(*, *) 'h(i,k)=', h(i, k)
+          WRITE(*, *) 'nk(i)=', nk(i)
+          WRITE(*, *) 'h(i,nk(i))=', h(i, nk(i))
+          WRITE(*, *) 'lv(i,k)=', lv(i, k)
+          WRITE(*, *) 't(i,k)=', t(i, k)
+          WRITE(*, *) 'clw(i,k)=', clw(i, k)
+          WRITE(*, *) 'cpd,cpv=', cpd, cpv
           CALL abort_physic(modname, abort_message, 1)
         endif
       enddo !do k=1,nl
     enddo !do i=1,ncum
-  endif !if (coef_epmax_cape.gt.1e-12) then
-
+  endif !if (coef_epmax_cape.gt.1e-12) THEN
 END SUBROUTINE  cv30_epmax_fn_cape
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5116)
@@ -62,5 +62,5 @@
   ! read(57,*) iflag_mix, scut
   ! read(57,*)
-  ! if(iflag_mix .gt. 0) then
+  ! IF(iflag_mix .gt. 0) THEN
   ! read(57,*) qqa1, qqa2
   ! read(57,*)
@@ -94,5 +94,5 @@
       aire = aire + (qmix(ff+df)-qmix(ff))*(1.-ff)
       mu = mu + pdf*ff*df
-      ! c              write(*,*) pdf,  Qmix(ff), aire, ff
+      ! c              WRITE(*,*) pdf,  Qmix(ff), aire, ff
       ff = ff + df
     END DO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90	(revision 5116)
@@ -89,5 +89,5 @@
   ! c$$$        read(57,*) iflag_mix, scut
   ! c$$$        read(57,*)
-  ! c$$$        if(iflag_mix .gt. 0) then
+  ! c$$$        IF(iflag_mix .gt. 0) THEN
   ! c$$$	      read(57,*) qqa1, qqa2
   ! c$$$              read(57,*)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5116)
@@ -578,5 +578,5 @@
 
 ! PRINT*,'icb dans cv3_feed '
-! write(*,'(64i2)') icb(2:len-1)
+! WRITE(*,'(64i2)') icb(2:len-1)
 ! CALL dump2d(64,43,'plcl dans cv3_feed ',plcl(2:len-1))
 
@@ -726,5 +726,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -747,5 +747,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                               ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -824,5 +824,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                                   ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -845,5 +845,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                                   ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -942,5 +942,5 @@
 ! oct3       ath  = th(i,icb(i)-1) - dttrig
 ! oct3
-! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) then
+! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
 ! oct3         do 60 k=1,nl
 ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -950,5 +950,5 @@
 ! oct3         iflag(i)=4 ! pour version vectorisee
 ! oct3c convect3         iflag(i)=0
-! oct3cccc         return
+! oct3cccc         RETURN
 ! oct3       endif
 ! oct3
@@ -1063,5 +1063,5 @@
 !AC!       nn=0
 !AC!      do 101 i=1,len
-!AC!      if(iflag1(i).eq.0)then
+!AC!      IF(iflag1(i).eq.0)THEN
 !AC!       nn=nn+1
 !AC!       tra(nn,k,j)=tra1(i,k,j)
@@ -1153,5 +1153,5 @@
 !   - vertical profile of buoyancy computed here (use of buoybase)
 !   - the determination of inb is different
-!   - no inb1, only inb in output
+!   - no inb1, ONLY inb in output
 ! ---------------------------------------------------------------------
 
@@ -1326,5 +1326,5 @@
       DO j = 1,4
         DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i)+1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1434,5 +1434,5 @@
       DO j = 1,4
         DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i)+1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1548,5 +1548,5 @@
   DO k = minorig + 1, nl
     DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
       IF (k>=(icbs(i)+1)) THEN                                ! convect3
         tg = t(i, k)
@@ -1569,5 +1569,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0)                               ! convect3
-! ori	       if(tc.ge.0.0)then
+! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
 ! ori	       else
@@ -1588,5 +1588,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0)                               ! convect3
-! ori	       if(tc.ge.0.0)then
+! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
 ! ori	       else
@@ -1765,5 +1765,5 @@
 ! ori      do 340 k=minorig+1,nl
 ! ori        do 330 i=1,ncum
-! ori        if(k.ge.(icb(i)+1))then
+! ori        IF(k.ge.(icb(i)+1))THEN
 ! ori          tvp(i,k)=tvp(i,k)*(1.0-qnk(i)+ep(i,k)*clw(i,k))
 ! oric         PRINT*,'i,k,tvp(i,k),qnk(i),ep(i,k),clw(i,k)'
@@ -1889,10 +1889,10 @@
 !    do 530 k=minorig+1,nl-1
 !     do 520 i=1,ncum
-!      if(k.ge.(icb(i)+1))then
+!      IF(k.ge.(icb(i)+1))THEN
 !       by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 !       byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
 !       cape(i)=cape(i)+by
-!       if(by.ge.0.0)inb1(i)=k+1
-!       if(cape(i).gt.0.0)then
+!       IF(by.ge.0.0)inb1(i)=k+1
+!       IF(cape(i).gt.0.0)THEN
 !        inb(i)=k+1
 !        capem(i)=cape(i)
@@ -1916,9 +1916,9 @@
 !    do 530 k=minorig+1,nl-1
 !     do 520 i=1,ncum
-!      if(k.ge.(icb(i)+1))then
+!      IF(k.ge.(icb(i)+1))THEN
 !       by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 !       cape(i)=cape(i)+by
-!       if(by.ge.0.0)inb1(i)=k+1
-!       if(cape(i).gt.0.0)then
+!       IF(by.ge.0.0)inb1(i)=k+1
+!       IF(cape(i).gt.0.0)THEN
 !        inb(i)=k+1
 !        capem(i)=cape(i)
@@ -1946,11 +1946,11 @@
 ! ori      do 530 k=minorig+1,nl-1
 ! ori        do 520 i=1,ncum
-! ori          if(cape(i).lt.0.0)lcape(i)=.FALSE.
-! ori          if((k.ge.(icb(i)+1)).and.lcape(i))then
+! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
+! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
 ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
 ! ori            cape(i)=cape(i)+by
-! ori            if(by.ge.0.0)inb1(i)=k+1
-! ori            if(cape(i).gt.0.0)then
+! ori            IF(by.ge.0.0)inb1(i)=k+1
+! ori            IF(cape(i).gt.0.0)THEN
 ! ori              inb(i)=k+1
 ! ori              capem(i)=cape(i)
@@ -2125,5 +2125,5 @@
   END DO
 
-!!      if(inb.lt.(nl-1))then
+!!      IF(inb.lt.(nl-1))THEN
 !!         do 85 i=inb+1,nl-1
 !!            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
@@ -2446,6 +2446,6 @@
 !AC!        do j=minorig,nl
 !AC!         do il=1,ncum
-!AC!          if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+!AC!          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
 !AC!            traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
 !AC!     :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -2464,5 +2464,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      if(nent(il,i).eq.0)then
+! @      IF(nent(il,i).eq.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = qnk(il) - ep(il, i)*clw(il, i)
@@ -2479,5 +2479,5 @@
 !AC!       do i=minorig+1,nl
 !AC!        do il=1,ncum
-!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) then
+!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
 !AC!          traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!         endif
@@ -2663,5 +2663,5 @@
 !AC!       do il=1,ncum
 !AC!        if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-!AC!     :     .and. csum(il,i).lt.m(il,i) ) then
+!AC!     :     .and. csum(il,i).lt.m(il,i) ) THEN
 !AC!         traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!        endif
@@ -2849,5 +2849,5 @@
   DO il = 1, ncum
 !!          lwork(il)=.TRUE.
-!!          if(ep(il,inb(il)).lt.0.0001)lwork(il)=.FALSE.
+!!          IF(ep(il,inb(il)).lt.0.0001)lwork(il)=.FALSE.
 !jyg<
 !!    lwork(il) = ep(il, inb(il)) >= 0.0001
@@ -3043,5 +3043,5 @@
 !JYG1
 ! cc        sigt=1.0
-! cc        if(i.ge.icb)sigt=sigp(i)
+! cc        IF(i.ge.icb)sigt=sigp(i)
 ! prise en compte de la variation progressive de sigt dans
 ! les couches icb et icb-1:
@@ -3076,5 +3076,5 @@
 !   c6=prec(il,i+1)+bfac*wdtrain(il) &
 !       -50.*sigd(il)*bfac*(ph(il,i)-ph(il,i+1))*evap(il,i+1)
-!   if(c6.gt.0.0)then
+!   IF(c6.gt.0.0)THEN
 !   revap=0.5*(-b6+sqrt(b6*b6+4.*c6))
 
@@ -3160,5 +3160,5 @@
 !           ice(il,i)=ice(il,i)-fondue(il,i)
             
-!           if((water(il,i)+ice(il,i)).lt.1.e-30)then
+!           if((water(il,i)+ice(il,i)).lt.1.e-30)THEN
 !             faci(il,i)=0.
 !           else
@@ -3327,5 +3327,5 @@
 
 
-! c      if(p(il,i).gt.p(il,icb(il)))then
+! c      IF(p(il,i).gt.p(il,icb(il)))THEN
 ! c       mp(il,i)=mp(il,icb(il))*(p(il,1)-p(il,i))/(p(il,1)-p(il,icb(il)))
 ! c      endif
@@ -3406,12 +3406,12 @@
 !AC!      do j=1,ntra
 !AC!       do il = 1,ncum
-!AC!       if (i.lt.inb(il) .and. lwork(il)) then
+!AC!       if (i.lt.inb(il) .and. lwork(il)) THEN
 !AC!c
-!AC!         if(mplus(il))then
+!AC!         IF(mplus(il))THEN
 !AC!          trap(il,i,j)=trap(il,i+1,j)*mp(il,i+1)
 !AC!     :              +trap(il,i,j)*(mp(il,i)-mp(il,i+1))
 !AC!          trap(il,i,j)=trap(il,i,j)/mp(il,i)
 !AC!         else ! if (mplus(il))
-!AC!          if(mp(il,i+1).gt.1.0e-16)then
+!AC!          IF(mp(il,i+1).gt.1.0e-16)THEN
 !AC!           trap(il,i,j)=trap(il,i+1,j)
 !AC!          endif
@@ -3794,6 +3794,6 @@
 !AC!     do j=1,ntra
 !AC!      do il=1,ncum
-!AC!       if (iflag(il) .le. 1) then
-!AC!       if (cvflag_grav) then
+!AC!       if (iflag(il) .le. 1) THEN
+!AC!       if (cvflag_grav) THEN
 !AC!        ftra(il,1,j)=ftra(il,1,j)+0.01*grav*work(il)
 !AC!    :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
@@ -3822,7 +3822,7 @@
 !AC!       do j=2,nl
 !AC!        do il=1,ncum
-!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,1,k)=ftra(il,1,k)+0.01*grav*work(il)*ment(il,j,1)
 !AC!     :                *(traent(il,j,1,k)-tra(il,1,k))
@@ -4170,8 +4170,8 @@
 !AC!      do k=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
-!AC!         if (cvflag_grav) then
+!AC!         if (cvflag_grav) THEN
 !AC!           ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
 !AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
@@ -4228,8 +4228,8 @@
 !AC!       do k=1,i-1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
 !AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
@@ -4277,8 +4277,8 @@
 !AC!        do il=1,ncum
 !AC!         if (i.le.inb(il) .and. k.le.inb(il)
-!AC!     $                .and. iflag(il) .le. 1) then
+!AC!     $                .and. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
 !AC!     :         *(traent(il,k,i,j)-tra(il,i,j))
@@ -4345,9 +4345,9 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
 !AC!
-!AC!         if (cvflag_grav) then
+!AC!         if (cvflag_grav) THEN
 !AC!          ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
 !AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
@@ -4419,5 +4419,5 @@
 !AC!       do il=1,ncum
 !AC!        IF (iflag(il) .le. 1) THEN
-!AC!	IF (cvflag_grav) then
+!AC!	IF (cvflag_grav) THEN
 !AC!        ex=0.01*grav*ment(il,inb(il),inb(il))
 !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
@@ -4726,5 +4726,5 @@
     DO k = i, nl
       DO il = 1, ncum
-! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) then
+! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + up1(il, k, i)
@@ -4989,5 +4989,5 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. & 
-!!jyg              j.ge.k.and.j.le.inb(i)) then
+!!jyg              j.ge.k.and.j.le.inb(i)) THEN
 !!jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
             j>k .AND. j<=inb(i)) THEN
@@ -5168,11 +5168,10 @@
       real cape(nloc)
         
-        if (coef_epmax_cape>1e-12) then
-
+        if (coef_epmax_cape>1e-12) THEN
         ! il faut calculer la cape: on fait un calcule simple car tant qu'on ne
         ! connait pas ep, on ne connait pas les mélanges, ddfts etc... qui sont
         ! necessaires au calcul de la cape dans la nouvelle physique
         
-!        write(*,*) 'cv3_routines check 4303'
+!        WRITE(*,*) 'cv3_routines check 4303'
         do i=1,ncum
         do k=1,nd
@@ -5184,16 +5183,16 @@
         enddo !do i=1,ncum
 
-!        write(*,*) 'cv3_routines check 4311'
-!        write(*,*) 'nl=',nl
+!        WRITE(*,*) 'cv3_routines check 4311'
+!        WRITE(*,*) 'nl=',nl
         CALL cv3_closure(nloc, ncum, nd, icb, inb, & ! na->nd
           pbase, p, ph, tv, buoy, &
           sig_loc, w0_loc, cape, m_loc,iflag_loc)
 
-!        write(*,*) 'cv3_routines check 4316'
-!        write(*,*) 'ep(1,:)=',ep(1,:)
+!        WRITE(*,*) 'cv3_routines check 4316'
+!        WRITE(*,*) 'ep(1,:)=',ep(1,:)
         do i=1,ncum
            epmax_diag(i)=epmax-coef_epmax_cape*sqrt(cape(i))
            epmax_diag(i)=amax1(epmax_diag(i),0.0)
-!           write(*,*) 'i,icb,inb,cape,epmax_diag=', &
+!           WRITE(*,*) 'i,icb,inb,cape,epmax_diag=', &
 !                i,icb(i),inb(i),cape(i),epmax_diag(i)
            do k=1,nl
@@ -5203,7 +5202,7 @@
            enddo
         enddo
- !       write(*,*) 'ep(1,:)=',ep(1,:)
-
-      !write(*,*) 'cv3_routines check 4326'
+ !       WRITE(*,*) 'ep(1,:)=',ep(1,:)
+
+      !WRITE(*,*) 'cv3_routines check 4326'
 ! On recalcule hp:
 !      do k=1,nl
@@ -5222,5 +5221,5 @@
       do k=minorig+1,nl
        do i=1,ncum
-        if((k>=icb(i)).and.(k<=inb(i)))then
+        if((k>=icb(i)).and.(k<=inb(i)))THEN
           hp(i, k) = hnk(i) + (lv(i,k)+(cpd-cpv)*t(i,k)+frac(i,k)*lf(i,k))* &
                               ep(i, k)*clw(i, k)
@@ -5239,30 +5238,30 @@
 
   ENDIF !IF (cvflag_ice) THEN     
-      !write(*,*) 'cv3_routines check 4345'
+      !WRITE(*,*) 'cv3_routines check 4345'
 !      do i=1,ncum  
 !       do k=1,nl
 !        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).or. &
 !            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).and. &
-!            (ep(i,k)-ep_bak(i,k).lt.1e-4))) then
-!           write(*,*) 'i,k=',i,k
-!           write(*,*) 'coef_epmax_cape=',coef_epmax_cape
-!           write(*,*) 'epmax_diag(i)=',epmax_diag(i)
-!           write(*,*) 'ep(i,k)=',ep(i,k)
-!           write(*,*) 'ep_bak(i,k)=',ep_bak(i,k)
-!           write(*,*) 'hp(i,k)=',hp(i,k)
-!           write(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
-!           write(*,*) 'h(i,k)=',h(i,k)
-!           write(*,*) 'nk(i)=',nk(i)
-!           write(*,*) 'h(i,nk(i))=',h(i,nk(i))
-!           write(*,*) 'lv(i,k)=',lv(i,k)
-!           write(*,*) 't(i,k)=',t(i,k)
-!           write(*,*) 'clw(i,k)=',clw(i,k)
-!           write(*,*) 'cpd,cpv=',cpd,cpv
+!            (ep(i,k)-ep_bak(i,k).lt.1e-4))) THEN
+!           WRITE(*,*) 'i,k=',i,k
+!           WRITE(*,*) 'coef_epmax_cape=',coef_epmax_cape
+!           WRITE(*,*) 'epmax_diag(i)=',epmax_diag(i)
+!           WRITE(*,*) 'ep(i,k)=',ep(i,k)
+!           WRITE(*,*) 'ep_bak(i,k)=',ep_bak(i,k)
+!           WRITE(*,*) 'hp(i,k)=',hp(i,k)
+!           WRITE(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
+!           WRITE(*,*) 'h(i,k)=',h(i,k)
+!           WRITE(*,*) 'nk(i)=',nk(i)
+!           WRITE(*,*) 'h(i,nk(i))=',h(i,nk(i))
+!           WRITE(*,*) 'lv(i,k)=',lv(i,k)
+!           WRITE(*,*) 't(i,k)=',t(i,k)
+!           WRITE(*,*) 'clw(i,k)=',clw(i,k)
+!           WRITE(*,*) 'cpd,cpv=',cpd,cpv
 !           stop
 !        endif
 !       enddo !do k=1,nl
 !      enddo !do i=1,ncum  
-      endif !if (coef_epmax_cape.gt.1e-12) then
-      !write(*,*) 'cv3_routines check 4367'
+      endif !if (coef_epmax_cape.gt.1e-12) THEN
+      !WRITE(*,*) 'cv3_routines check 4367'
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3a_compress.F90	(revision 5116)
@@ -143,5 +143,5 @@
   ! AC!       nn=0
   ! AC!      do 101 i=1,len
-  ! AC!      if(iflag1(i).eq.0)then
+  ! AC!      IF(iflag1(i).eq.0)THEN
   ! AC!       nn=nn+1
   ! AC!       tra(nn,k,j)=tra1(i,k,j)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5116)
@@ -147,5 +147,5 @@
   END DO
 
-  ! if(prt.level.GE.20) PRINT*,'cv3p1_param apres 100'
+  ! IF(prt.level.GE.20) PRINT*,'cv3p1_param apres 100'
   ! compute icbmax:
 
@@ -154,5 +154,5 @@
     icbmax = max(icbmax, icb(il))
   END DO
-  ! if(prt.level.GE.20) PRINT*,'cv3p1_param apres 200'
+  ! IF(prt.level.GE.20) PRINT*,'cv3p1_param apres 200'
 
   ! update sig and w0 below cloud base:
@@ -493,5 +493,5 @@
         il)+1))/(ph(il,icb(il)+1)-ph(il,icb(il)+2))
       ! IM beg
-    END IF !(icb(il.le.inb(il))) then
+    END IF !(icb(il.le.inb(il))) THEN
     ! IM end
   END DO
@@ -556,5 +556,5 @@
   DO k=1,nl
      DO il=1,ncum
-        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) then
+        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) THEN
            klfc(il)=k
         endif
@@ -569,5 +569,5 @@
 !CR: Add large-scale component to the mass-flux
 !encore connu sous le nom "Experience du tube de dentifrice"
-    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) then
+    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) THEN
        cbmf1(il) = cbmf1(il) - coef_clos_ls*min(0.,1./RG*omega(il,klfc(il)))
     endif
@@ -585,5 +585,5 @@
     IF (cbmflim(il)>1.E-6) THEN
       ! ATTENTION TEST CR
-      ! if (cbmfmax(il).lt.1.e-12) then
+      ! if (cbmfmax(il).lt.1.e-12) THEN
       cbmf(il) = min(cbmf1(il), cbmfmax(il))
       ! else
